Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 10251)
@@ -759,10 +643,5 @@
    visc_dyn      = rn_sponge_dyn
    !
-   ! Check sponge length:
-   iminspon = MIN(FLOOR(REAL(jpiglo-4)/REAL(2*Agrif_irhox())), FLOOR(REAL(jpjglo-4)/REAL(2*Agrif_irhox())) )
-   IF (lk_mpp) iminspon = MIN(iminspon,FLOOR(REAL(jpi-2)/REAL(Agrif_irhox())), FLOOR(REAL(jpj-2)/REAL(Agrif_irhox())) )
-   IF (nn_sponge_len > iminspon)  CALL ctl_stop('agrif sponge length is too large')
-   !
-   IF( agrif_oce_alloc()  > 0 )   CALL ctl_warn('agrif agrif_oce_alloc: allocation of arrays failed')
+   IF( agrif_oce_alloc()  > 0 )   CALL ctl_warn('agrif sol_oce_alloc: allocation of arrays failed')
 # if defined key_lim2
    IF( agrif_ice_alloc()  > 0 )   CALL ctl_stop('agrif agrif_ice_alloc: allocation of arrays failed')
@@ -785,45 +664,10 @@
    SELECT CASE( i )
    CASE(1)   ;   indglob = indloc + nimppt(nprocloc+1) - 1
-   CASE(2)   ;   indglob = indloc + njmppt(nprocloc+1) - 1
-   CASE DEFAULT
-      indglob = indloc
+   CASE(2)   ;   indglob = indloc + njmppt(nprocloc+1) - 1 
+   CASE(3)   ;   indglob = indloc
+   CASE(4)   ;   indglob = indloc
    END SELECT
    !
 END SUBROUTINE Agrif_InvLoc
-
-SUBROUTINE Agrif_get_proc_info( imin, imax, jmin, jmax )
-   !!----------------------------------------------------------------------
-   !!                 *** ROUTINE Agrif_get_proc_info ***
-   !!----------------------------------------------------------------------
-   USE par_oce
-   IMPLICIT NONE
-   !
-   INTEGER, INTENT(out) :: imin, imax
-   INTEGER, INTENT(out) :: jmin, jmax
-   !!----------------------------------------------------------------------
-   !
-   imin = nimppt(Agrif_Procrank+1)  ! ?????
-   jmin = njmppt(Agrif_Procrank+1)  ! ?????
-   imax = imin + jpi - 1
-   jmax = jmin + jpj - 1
-   ! 
-END SUBROUTINE Agrif_get_proc_info
-
-SUBROUTINE Agrif_estimate_parallel_cost(imin, imax,jmin, jmax, nbprocs, grid_cost)
-   !!----------------------------------------------------------------------
-   !!                 *** ROUTINE Agrif_estimate_parallel_cost ***
-   !!----------------------------------------------------------------------
-   USE par_oce
-   IMPLICIT NONE
-   !
-   INTEGER,  INTENT(in)  :: imin, imax
-   INTEGER,  INTENT(in)  :: jmin, jmax
-   INTEGER,  INTENT(in)  :: nbprocs
-   REAL(wp), INTENT(out) :: grid_cost
-   !!----------------------------------------------------------------------
-   !
-   grid_cost = REAL(imax-imin+1,wp)*REAL(jmax-jmin+1,wp) / REAL(nbprocs,wp)
-   !
-END SUBROUTINE Agrif_estimate_parallel_cost
 
 # endif
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OFF_SRC/dtadyn.F90	(revision 10251)
@@ -431,13 +431,10 @@
          CALL ctl_stop( 'dta_dyn: unable to allocate sf structure' )   ;   RETURN
       ENDIF
-      !                                         ! fill sf with slf_i and control print
-      CALL fld_fill( sf_dyn, slf_d, cn_dir, 'dta_dyn_init', 'Data in file', 'namdta_dyn' )
       ! Open file for each variable to get his number of dimension
       DO ifpr = 1, jfld
-         CALL fld_clopn( sf_dyn(ifpr), nyear, nmonth, nday )
-         idv   = iom_varid( sf_dyn(ifpr)%num , slf_d(ifpr)%clvar )        ! id of the variable sdjf%clvar
-         idimv = iom_file ( sf_dyn(ifpr)%num )%ndims(idv)                 ! number of dimension for variable sdjf%clvar
-         IF( sf_dyn(ifpr)%num /= 0 )   CALL iom_close( sf_dyn(ifpr)%num ) ! close file if already open
-         ierr1=0
+         CALL iom_open( TRIM( cn_dir )//TRIM( slf_d(ifpr)%clname ), inum )
+         idv   = iom_varid( inum , slf_d(ifpr)%clvar )  ! id of the variable sdjf%clvar
+         idimv = iom_file ( inum )%ndims(idv)             ! number of dimension for variable sdjf%clvar
+         IF( inum /= 0 )   CALL iom_close( inum )       ! close file if already open
          IF( idimv == 3 ) THEN    ! 2D variable
                                       ALLOCATE( sf_dyn(ifpr)%fnow(jpi,jpj,1)    , STAT=ierr0 )
@@ -451,4 +448,6 @@
          ENDIF
       END DO
+      !                                         ! fill sf with slf_i and control print
+      CALL fld_fill( sf_dyn, slf_d, cn_dir, 'dta_dyn_init', 'Data in file', 'namdta_dyn' )
       !
       IF( lk_ldfslp .AND. .NOT.lk_c1d ) THEN                  ! slopes 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asmbkg.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asmbkg.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asmbkg.F90	(revision 10251)
@@ -50,19 +50,8 @@
    USE ice
 #endif
-   USE asminc, ONLY: ln_avgbkg
    IMPLICIT NONE
    PRIVATE
    
    PUBLIC   asm_bkg_wri   !: Write out the background state
-
-  !! * variables for calculating time means
-   REAL(wp),SAVE, ALLOCATABLE,   DIMENSION(:,:,:) ::   tn_tavg  , sn_tavg  
-   REAL(wp),SAVE, ALLOCATABLE,   DIMENSION(:,:,:) ::   un_tavg  , vn_tavg
-   REAL(wp),SAVE, ALLOCATABLE,   DIMENSION(:,:,:) ::   avt_tavg
-#if defined key_zdfgls || key_zdftke
-   REAL(wp),SAVE, ALLOCATABLE,   DIMENSION(:,:,:) ::   en_tavg
-#endif
-   REAL(wp),SAVE, ALLOCATABLE,   DIMENSION(:,:)   ::   sshn_tavg
-   REAL(wp),SAVE :: numtimes_tavg     ! No of times to average over
 
    !!----------------------------------------------------------------------
@@ -92,73 +81,9 @@
       INTEGER :: inum          ! File unit number
       REAL(wp) :: zdate        ! Date
-      INTEGER :: ierror
       !!-----------------------------------------------------------------------
 
-      ! If creating an averaged assim bkg, initialise on first timestep
-      IF ( ln_avgbkg .AND. kt == ( nn_it000 - 1) ) THEN
-         ! Allocate memory 
-         ALLOCATE( tn_tavg(jpi,jpj,jpk), STAT=ierror )
-         IF( ierror > 0 ) THEN
-            CALL ctl_stop( 'asm_wri_bkg: unable to allocate tn_tavg' )   ;   RETURN
-         ENDIF
-         tn_tavg(:,:,:)=0
-         ALLOCATE( sn_tavg(jpi,jpj,jpk), STAT=ierror )
-         IF( ierror > 0 ) THEN
-            CALL ctl_stop( 'asm_wri_bkg: unable to allocate sn_tavg' )   ;   RETURN
-         ENDIF
-         sn_tavg(:,:,:)=0
-         ALLOCATE( un_tavg(jpi,jpj,jpk), STAT=ierror )
-         IF( ierror > 0 ) THEN
-            CALL ctl_stop( 'asm_wri_bkg: unable to allocate un_tavg' )   ;   RETURN
-         ENDIF
-         un_tavg(:,:,:)=0
-         ALLOCATE( vn_tavg(jpi,jpj,jpk), STAT=ierror )
-         IF( ierror > 0 ) THEN
-            CALL ctl_stop( 'asm_wri_bkg: unable to allocate vn_tavg' )   ;   RETURN
-         ENDIF
-         vn_tavg(:,:,:)=0
-         ALLOCATE( sshn_tavg(jpi,jpj), STAT=ierror )
-         IF( ierror > 0 ) THEN
-            CALL ctl_stop( 'asm_wri_bkg: unable to allocate sshn_tavg' )   ;   RETURN
-         ENDIF
-         sshn_tavg(:,:)=0
-#if defined key_zdftke
-         ALLOCATE( en_tavg(jpi,jpj,jpk), STAT=ierror )
-         IF( ierror > 0 ) THEN
-            CALL ctl_stop( 'asm_wri_bkg: unable to allocate en_tavg' )   ;   RETURN
-         ENDIF
-         en_tavg(:,:,:)=0
-#endif
-         ALLOCATE( avt_tavg(jpi,jpj,jpk), STAT=ierror )
-         IF( ierror > 0 ) THEN
-            CALL ctl_stop( 'asm_wri_bkg: unable to allocate avt_tavg' )   ;   RETURN
-         ENDIF
-         avt_tavg(:,:,:)=0
-         
-         numtimes_tavg = REAL ( nitavgbkg_r -  nn_it000 + 1 )
-      ENDIF   
-
-      ! If creating an averaged assim bkg, sum the contribution every timestep
-      IF ( ln_avgbkg ) THEN 
-         IF (lwp) THEN
-              WRITE(numout,*) 'asm_wri_bkg : Summing assim bkg fields at timestep ',kt
-              WRITE(numout,*) '~~~~~~~~~~~~ '
-         ENDIF
-
-         tn_tavg(:,:,:)        = tn_tavg(:,:,:) + tsn(:,:,:,jp_tem) / numtimes_tavg
-         sn_tavg(:,:,:)        = sn_tavg(:,:,:) + tsn(:,:,:,jp_sal) / numtimes_tavg
-         sshn_tavg(:,:)        = sshn_tavg(:,:) + sshn (:,:) / numtimes_tavg
-         un_tavg(:,:,:)        = un_tavg(:,:,:) + un(:,:,:) / numtimes_tavg
-         vn_tavg(:,:,:)        = vn_tavg(:,:,:) + vn(:,:,:) / numtimes_tavg
-         avt_tavg(:,:,:)        = avt_tavg(:,:,:) + avt(:,:,:) / numtimes_tavg
-#if defined key_zdftke
-         en_tavg(:,:,:)       = en_tavg(:,:,:) + en(:,:,:) / numtimes_tavg
-#endif
-      ENDIF
-     
-
-      ! Write out background at time step nitbkg_r or nitavgbkg_r
-      IF ( ( .NOT. ln_avgbkg .AND. (kt == nitbkg_r) ) .OR. &
-      &          ( ln_avgbkg .AND. (kt == nitavgbkg_r) ) ) THEN
+      !                                !-------------------------------------------
+      IF( kt == nitbkg_r ) THEN        ! Write out background at time step nitbkg_r
+         !                             !-----------------------------------========
          !
          WRITE(cl_asmbkg, FMT='(A,".nc")' ) TRIM( c_asmbkg )
@@ -172,56 +97,29 @@
             CALL iom_open( c_asmbkg, inum, ldwrt = .TRUE., kiolib = jprstlib)
             !
-            !
-            ! Write the information
-            IF ( ln_avgbkg ) THEN
-               IF( nitavgbkg_r == nit000 - 1 ) THEN      ! Treat special case when nitavgbkg = 0
-                  zdate = REAL( ndastp )
+            IF( nitbkg_r == nit000 - 1 ) THEN      ! Treat special case when nitbkg = 0
+               zdate = REAL( ndastp )
 #if defined key_zdftke
-                  ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
-                  IF(lwp) WRITE(numout,*) ' Reading TKE (en) from restart...'
-                  CALL tke_rst( nit000, 'READ' )               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
+               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
+               IF(lwp) WRITE(numout,*) ' Reading TKE (en) from restart...'
+               CALL tke_rst( nit000, 'READ' )               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
 
 #endif
-               ELSE
-                  zdate = REAL( ndastp )
-               ENDIF
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'rdastp' , zdate   )
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'un'     , un_tavg )
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'vn'     , vn_tavg )
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'tn'     , tn_tavg )
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'sn'     , sn_tavg )
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'sshn'   , sshn_tavg)
+            ELSE
+               zdate = REAL( ndastp )
+            ENDIF
+            !
+            !                                      ! Write the information
+            CALL iom_rstput( kt, nitbkg_r, inum, 'rdastp' , zdate             )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'un'     , un                )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'vn'     , vn                )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'tn'     , tsn(:,:,:,jp_tem) )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'sn'     , tsn(:,:,:,jp_sal) )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'sshn'   , sshn              )
 #if defined key_zdftke
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'en'     , en_tavg )
+            CALL iom_rstput( kt, nitbkg_r, inum, 'en'     , en                )
 #endif
-               CALL iom_rstput( kt, nitavgbkg_r, inum, 'avt'    , avt_tavg)
-               !
-            ELSE
-               IF( nitbkg_r == nit000 - 1 ) THEN      ! Treat special case when nitbkg = 0
-                  zdate = REAL( ndastp )
-#if defined key_zdftke
-                  ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
-                  IF(lwp) WRITE(numout,*) ' Reading TKE (en) from restart...'
-                  CALL tke_rst( nit000, 'READ' )               ! lk_zdftke=T :   Read turbulent kinetic energy ( en )
-
-#endif
-               ELSE
-                  zdate = REAL( ndastp )
-               ENDIF
-               CALL iom_rstput( kt, nitbkg_r, inum, 'rdastp' , zdate   )
-               CALL iom_rstput( kt, nitbkg_r, inum, 'un'     , un                )
-               CALL iom_rstput( kt, nitbkg_r, inum, 'vn'     , vn                )
-               CALL iom_rstput( kt, nitbkg_r, inum, 'tn'     , tsn(:,:,:,jp_tem) )
-               CALL iom_rstput( kt, nitbkg_r, inum, 'sn'     , tsn(:,:,:,jp_sal) )
-               CALL iom_rstput( kt, nitbkg_r, inum, 'sshn'   , sshn              )
-#if defined key_zdftke
-               CALL iom_rstput( kt, nitbkg_r, inum, 'en'     , en                )
-#endif
-               CALL iom_rstput( kt, nitbkg_r, inum, 'avt'    , avt               )
-               !
-            ENDIF
-            
+            CALL iom_rstput( kt, nitbkg_r, inum, 'gcx'    , gcx               )
+            !
             CALL iom_close( inum )
-
          ENDIF
          !
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10251)
@@ -40,16 +40,4 @@
 #endif
    USE sbc_oce          ! Surface boundary condition variables.
-   USE zdfmxl, ONLY :  &  
-   &  hmld_tref,       &   
-#if defined key_karaml
-   &  hmld_kara,       &
-   &  ln_kara,         &
-#endif   
-   &  hmld,            & 
-   &  hmlp,            &
-   &  hmlpt
-#if defined key_bdy 
-   USE bdy_oce, ONLY: bdytmask  
-#endif  
 
    IMPLICIT NONE
@@ -69,5 +57,4 @@
 #endif
    LOGICAL, PUBLIC :: ln_bkgwri = .FALSE.      !: No output of the background state fields
-   LOGICAL, PUBLIC :: ln_avgbkg = .FALSE.      !: No output of the mean background state fields
    LOGICAL, PUBLIC :: ln_asmiau = .FALSE.      !: No applying forcing with an assimilation increment
    LOGICAL, PUBLIC :: ln_asmdin = .FALSE.      !: No direct initialization
@@ -91,5 +78,4 @@
    INTEGER , PUBLIC ::   nitiaustr   !: Time step of the start of the IAU interval 
    INTEGER , PUBLIC ::   nitiaufin   !: Time step of the end of the IAU interval
-   INTEGER , PUBLIC ::   nitavgbkg   !: Number of timesteps to average assim bkg [0,nitavgbkg]
    ! 
    INTEGER , PUBLIC ::   niaufn      !: Type of IAU weighing function: = 0   Constant weighting
@@ -99,11 +85,4 @@
    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   ssh_bkg, ssh_bkginc   ! Background sea surface height and its increment
    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   seaice_bkginc         ! Increment to the background sea ice conc
-
-   INTEGER :: mld_choice        = 4   !: choice of mld criteria to use for physics assimilation
-                                      !: 1) hmld      - Turbocline/mixing depth                           [W points]
-                                      !: 2) hmlp      - Density criterion (0.01 kg/m^3 change from 10m)   [W points]
-                                      !: 3) hmld_kara - Kara MLD                                          [Interpolated]
-                                      !: 4) hmld_tref - Temperature criterion (0.2 K change from surface) [T points]
-
 
    !! * Substitutions
@@ -138,6 +117,4 @@
       INTEGER :: iitiaustr_date  ! Date YYYYMMDD of IAU interval start time step
       INTEGER :: iitiaufin_date  ! Date YYYYMMDD of IAU interval final time step
-      INTEGER :: isurfstat       ! Local integer for status of reading surft variable
-      INTEGER :: iitavgbkg_date  ! Date YYYYMMDD of end of assim bkg averaging period
       !
       REAL(wp) :: znorm        ! Normalization factor for IAU weights
@@ -148,20 +125,11 @@
       REAL(wp) :: zdate_inc    ! Time axis in increments file
       !
-      REAL(wp), ALLOCATABLE, DIMENSION(:,:) :: & 
-          &       t_bkginc_2d  ! file for reading in 2D  
-      !                        ! temperature increments 
-      REAL(wp), ALLOCATABLE, DIMENSION(:,:) :: & 
-          &       z_mld     ! Mixed layer depth 
-          
       REAL(wp), POINTER, DIMENSION(:,:) ::   hdiv   ! 2D workspace
-      !
-      LOGICAL :: lk_surft      ! Logical: T => Increments file contains surft variable 
-                               !               so only apply surft increments.
-      !!
-      NAMELIST/nam_asminc/ ln_bkgwri, ln_avgbkg,                           &
+      !!
+      NAMELIST/nam_asminc/ ln_bkgwri,                                      &
          &                 ln_trainc, ln_dyninc, ln_sshinc,                &
          &                 ln_asmdin, ln_asmiau,                           &
          &                 nitbkg, nitdin, nitiaustr, nitiaufin, niaufn,   &
-         &                 ln_salfix, salfixmin, nn_divdmp, nitavgbkg, mld_choice
+         &                 ln_salfix, salfixmin, nn_divdmp
       !!----------------------------------------------------------------------
 
@@ -169,23 +137,6 @@
       ! Read Namelist nam_asminc : assimilation increment interface
       !-----------------------------------------------------------------------
-
-      ! Set default values
-      ln_bkgwri = .FALSE.
-      ln_avgbkg = .FALSE.
-      ln_trainc = .FALSE.
-      ln_dyninc = .FALSE.
-      ln_sshinc = .FALSE.
       ln_seaiceinc = .FALSE.
-      ln_asmdin = .FALSE.
-      ln_asmiau = .TRUE.
-      ln_salfix = .FALSE.
       ln_temnofreeze = .FALSE.
-      salfixmin = -9999
-      nitbkg    = 0
-      nitdin    = 0      
-      nitiaustr = 1
-      nitiaufin = 150
-      niaufn    = 0
-      nitavgbkg = 1
 
       REWIND( numnam_ref )              ! Namelist nam_asminc in reference namelist : Assimilation increment
@@ -205,5 +156,4 @@
          WRITE(numout,*) '   Namelist namasm : set assimilation increment parameters'
          WRITE(numout,*) '      Logical switch for writing out background state          ln_bkgwri = ', ln_bkgwri
-         WRITE(numout,*) '      Logical switch for writing mean background state         ln_avgbkg = ', ln_avgbkg
          WRITE(numout,*) '      Logical switch for applying tracer increments            ln_trainc = ', ln_trainc
          WRITE(numout,*) '      Logical switch for applying velocity increments          ln_dyninc = ', ln_dyninc
@@ -216,9 +166,7 @@
          WRITE(numout,*) '      Timestep of start of IAU interval in [0,nitend-nit000-1] nitiaustr = ', nitiaustr
          WRITE(numout,*) '      Timestep of end of IAU interval in [0,nitend-nit000-1]   nitiaufin = ', nitiaufin
-         WRITE(numout,*) '      Number of timesteps to average assim bkg [0,nitavgbkg]   nitavgbkg = ', nitavgbkg
          WRITE(numout,*) '      Type of IAU weighting function                           niaufn    = ', niaufn
          WRITE(numout,*) '      Logical switch for ensuring that the sa > salfixmin      ln_salfix = ', ln_salfix
          WRITE(numout,*) '      Minimum salinity after applying the increments           salfixmin = ', salfixmin
-         WRITE(numout,*) '      Choice of MLD for physics assimilation                  mld_choice = ', mld_choice
       ENDIF
 
@@ -227,5 +175,4 @@
       nitiaustr_r = nitiaustr + nit000 - 1  ! Start of IAU interval referenced to nit000
       nitiaufin_r = nitiaufin + nit000 - 1  ! End of IAU interval referenced to nit000
-      nitavgbkg_r = nitavgbkg + nit000 - 1  ! Averaging period referenced to nit000
 
       iiauper = nitiaufin_r - nitiaustr_r + 1  ! IAU interval length
@@ -237,5 +184,4 @@
       CALL calc_date( nit000, nitiaustr_r, ndate0, iitiaustr_date )     ! IAU start time referenced to ndate0
       CALL calc_date( nit000, nitiaufin_r, ndate0, iitiaufin_date )     ! IAU end time referenced to ndate0
-      CALL calc_date( nit000, nitavgbkg_r, ndate0, iitavgbkg_date )     ! End of assim bkg averaging period referenced to ndate0
       !
       IF(lwp) THEN
@@ -249,5 +195,4 @@
          WRITE(numout,*) '       nitiaustr_r = ', nitiaustr_r
          WRITE(numout,*) '       nitiaufin_r = ', nitiaufin_r
-         WRITE(numout,*) '       nitavgbkg_r = ', nitavgbkg_r
          WRITE(numout,*)
          WRITE(numout,*) '   Dates referenced to current cycle:'
@@ -259,5 +204,4 @@
          WRITE(numout,*) '       iitiaustr_date = ', iitiaustr_date
          WRITE(numout,*) '       iitiaufin_date = ', iitiaufin_date
-         WRITE(numout,*) '       iitavgbkg_date = ', iitavgbkg_date
       ENDIF
 
@@ -302,9 +246,4 @@
          & CALL ctl_stop( ' nitdin :',  &
          &                ' Background time step for Direct Initialization is outside', &
-         &                ' the cycle interval')
-
-      IF ( nitavgbkg_r > nitend ) &
-         & CALL ctl_stop( ' nitavgbkg_r :',  &
-         &                ' Assim bkg averaging period is outside', &
          &                ' the cycle interval')
 
@@ -386,26 +325,20 @@
       !--------------------------------------------------------------------
 
-      IF ( ln_trainc ) THEN
-         ALLOCATE( t_bkginc(jpi,jpj,jpk) )
-         ALLOCATE( s_bkginc(jpi,jpj,jpk) )
-         t_bkginc(:,:,:) = 0.0
-         s_bkginc(:,:,:) = 0.0
-      ENDIF
-      IF ( ln_dyninc ) THEN 
-         ALLOCATE( u_bkginc(jpi,jpj,jpk) )
-         ALLOCATE( v_bkginc(jpi,jpj,jpk) )
-         u_bkginc(:,:,:) = 0.0
-         v_bkginc(:,:,:) = 0.0
-      ENDIF
-      IF ( ln_sshinc ) THEN
-         ALLOCATE( ssh_bkginc(jpi,jpj)   )
-         ssh_bkginc(:,:) = 0.0
-      ENDIF
-      IF ( ln_seaiceinc ) THEN 
-         ALLOCATE( seaice_bkginc(jpi,jpj))
-         seaice_bkginc(:,:) = 0.0
-      ENDIF
+      ALLOCATE( t_bkginc(jpi,jpj,jpk) )
+      ALLOCATE( s_bkginc(jpi,jpj,jpk) )
+      ALLOCATE( u_bkginc(jpi,jpj,jpk) )
+      ALLOCATE( v_bkginc(jpi,jpj,jpk) )
+      ALLOCATE( ssh_bkginc(jpi,jpj)   )
+      ALLOCATE( seaice_bkginc(jpi,jpj))
 #if defined key_asminc
       ALLOCATE( ssh_iau(jpi,jpj)      )
+#endif
+      t_bkginc(:,:,:) = 0.0
+      s_bkginc(:,:,:) = 0.0
+      u_bkginc(:,:,:) = 0.0
+      v_bkginc(:,:,:) = 0.0
+      ssh_bkginc(:,:) = 0.0
+      seaice_bkginc(:,:) = 0.0
+#if defined key_asminc
       ssh_iau(:,:)    = 0.0
 #endif
@@ -443,72 +376,13 @@
 
          IF ( ln_trainc ) THEN   
-
-            !Test if the increments file contains the surft variable.
-            isurfstat = iom_varid( inum, 'bckinsurft', ldstop = .FALSE. )
-            IF ( isurfstat == -1 ) THEN
-               lk_surft = .FALSE.
-            ELSE
-               lk_surft = .TRUE.
-               CALL ctl_warn( ' Applying 2D temperature increment to bottom of ML: ', &
-            &                 ' bckinsurft found in increments file.' )
-            ENDIF             
-
-            IF (lk_surft) THEN 
-                
-               ALLOCATE(z_mld(jpi,jpj)) 
-               SELECT CASE(mld_choice) 
-               CASE(1) 
-                  z_mld = hmld 
-               CASE(2) 
-                  z_mld = hmlp 
-               CASE(3) 
-#if defined key_karaml
-                  IF ( ln_kara ) THEN
-                     z_mld = hmld_kara
-                  ELSE
-                     CALL ctl_stop("Kara mixed layer not calculated as ln_kara=.false.")
-                  ENDIF
-#else
-                  CALL ctl_stop("Kara mixed layer not defined in current version of NEMO")  ! JW: Safety feature, should be removed
-                                                                                            ! once the Kara mixed layer is available 
-#endif
-               CASE(4) 
-                  z_mld = hmld_tref 
-               END SELECT       
-                      
-               ALLOCATE( t_bkginc_2d(jpi,jpj) ) 
-               CALL iom_get( inum, jpdom_autoglo, 'bckinsurft', t_bkginc_2d, 1) 
-#if defined key_bdy                
-               DO jk = 1,jpkm1 
-                  WHERE( z_mld(:,:) > fsdepw(:,:,jk) ) 
-                     t_bkginc(:,:,jk) = t_bkginc_2d(:,:) * 0.5 * &
-                     &       ( 1 + cos( (fsdept(:,:,jk)/z_mld(:,:) ) * rpi ) )
-                     
-                     t_bkginc(:,:,jk) = t_bkginc(:,:,jk) * bdytmask(:,:) 
-                  ELSEWHERE 
-                     t_bkginc(:,:,jk) = 0. 
-                  ENDWHERE 
-               ENDDO 
-#else 
-               t_bkginc(:,:,:) = 0. 
-#endif                
-               s_bkginc(:,:,:) = 0. 
-                
-               DEALLOCATE(z_mld, t_bkginc_2d) 
-            
-            ELSE 
-               
-               CALL iom_get( inum, jpdom_autoglo, 'bckint', t_bkginc, 1 )
-               CALL iom_get( inum, jpdom_autoglo, 'bckins', s_bkginc, 1 )
-               ! Apply the masks
-               t_bkginc(:,:,:) = t_bkginc(:,:,:) * tmask(:,:,:)
-               s_bkginc(:,:,:) = s_bkginc(:,:,:) * tmask(:,:,:)
-               ! Set missing increments to 0.0 rather than 1e+20
-               ! to allow for differences in masks
-               WHERE( ABS( t_bkginc(:,:,:) ) > 1.0e+10 ) t_bkginc(:,:,:) = 0.0
-               WHERE( ABS( s_bkginc(:,:,:) ) > 1.0e+10 ) s_bkginc(:,:,:) = 0.0
-         
-            ENDIF
-
+            CALL iom_get( inum, jpdom_autoglo, 'bckint', t_bkginc, 1 )
+            CALL iom_get( inum, jpdom_autoglo, 'bckins', s_bkginc, 1 )
+            ! Apply the masks
+            t_bkginc(:,:,:) = t_bkginc(:,:,:) * tmask(:,:,:)
+            s_bkginc(:,:,:) = s_bkginc(:,:,:) * tmask(:,:,:)
+            ! Set missing increments to 0.0 rather than 1e+20
+            ! to allow for differences in masks
+            WHERE( ABS( t_bkginc(:,:,:) ) > 1.0e+10 ) t_bkginc(:,:,:) = 0.0
+            WHERE( ABS( s_bkginc(:,:,:) ) > 1.0e+10 ) s_bkginc(:,:,:) = 0.0
          ENDIF
 
@@ -782,5 +656,5 @@
 
       DO jk = 1, jpkm1
-        CALL eos_fzp( tsn(:,:,jk,jp_sal), fzptnz(:,:,jk), fsdept(:,:,jk) )
+         fzptnz(:,:,jk) = eos_fzp( tsn(:,:,jk,jp_sal), fsdept(:,:,jk) )
       END DO
 
@@ -1016,8 +890,4 @@
             ENDIF
 
-#if defined key_asminc
-         ELSE
-            ssh_iau(:,:) = 0._wp
-#endif
          ENDIF
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/ASM/asmpar.F90	(revision 10251)
@@ -29,5 +29,4 @@
    INTEGER, PUBLIC :: nitiaufin_r   !: IAU final time step referenced to nit000
    INTEGER, PUBLIC :: nittrjfrq     !: Frequency of trajectory output for 4D-VAR
-   INTEGER, PUBLIC :: nitavgbkg_r   !: Averaging period for assim bkg referenced to nit000
 
    !!----------------------------------------------------------------------
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 10251)
@@ -71,11 +71,4 @@
       REAL, POINTER, DIMENSION(:,:)   ::  ht_s  !: now snow thickness
 #endif
-#if defined key_top
-      CHARACTER(LEN=20)                   :: cn_obc  !: type of boundary condition to apply
-      REAL(wp)                            :: rn_fac  !: multiplicative scaling factor
-      REAL(wp), POINTER, DIMENSION(:,:)   :: trc     !: now field of the tracer
-      LOGICAL                             :: dmp     !: obc damping term
-#endif
-
    END TYPE OBC_DATA
 
@@ -108,9 +101,4 @@
    LOGICAL, DIMENSION(jp_bdy) ::   ln_tra_dmp               !: =T Tracer damping
    LOGICAL, DIMENSION(jp_bdy) ::   ln_dyn3d_dmp             !: =T Baroclinic velocity damping
-   
-!   !JT
-   LOGICAL, DIMENSION(jp_bdy) ::   ln_ssh_bdy               !: =T USE SSH BDY - name list switch
-!   !JT
-   
    REAL(wp),    DIMENSION(jp_bdy) ::   rn_time_dmp              !: Damping time scale in days
    REAL(wp),    DIMENSION(jp_bdy) ::   rn_time_dmp_out          !: Damping time scale in days at radiation outflow points
